середа, 16 березня 2011 р.

Встановлення QtRuby з Ruby 1.9.2 на Ubuntu

Я використовую(і вам рекомендую) RVM (інструкція по встановленню на Ubuntu) і останню стабільну версію Ruby 1.9.2p180.

Спочатку встановлюємо необхідні пакети з репозиторію:
$ sudo apt-get install cmake libqt4-dev

Тоді переходимо до встановлення самого QtRuby:
$ sudo gem install qtbindings

Проект qtbindings - це набір "прив’язок" графічного фреймворку Qt4 для мови програмування Ruby, виконаний у вигляді пакету gem. У цілому він є перепакуванням підмножини Qt4 прив’язок до Ruby у формат, який добре піддається пакуванню в gem, що дозволяє легко встановити Qt "прив’язки" для Ruby на всіх платформах використовуючи RubyGems, і для забезпечення кращої сумісності між платформами.

Щоб побачити версію QtRuby, виконайте наступну команда:
$ rbqtapi -v
QtRuby 2.0.5 using Qt-4.7.0

Приклади додатків на QtRuby: /usr/local/rvm/rubies/ruby-1.9.2-p180/lib/ruby/gems/1.9/gems/qtbindings-4.6.3.2/examples

Немає коментарів: